# This should be pushed to tainted as per Mageia's policy on emulators

Name:             m64py
Version:          0.2.1
Release:          %mkrel 5
Summary:          A Qt4 frontend for Mupen64Plus
License:          GPLv3
Group:            Emulators
Url:              http://m64py.sourceforge.net/
Source:           http://sourceforge.net/projects/m64py/files/%{name}-%{version}/%{name}-%{version}.tar.gz
Patch0:           m64py-0.2.1-suse-xdg.patch
Patch1:           m64py-0.2.1-upstream-search-dir.patch

BuildArch:        noarch
BuildRequires:    python-qt4-devel
Requires:         %{_lib}mupen64plus2 >= 2.0
Requires:         %{_lib}sdl2.0_0
Requires:         python-qt4

%description
M64Py is a Qt4 front-end (GUI) for Mupen64Plus 2.0, a cross-platform
plugin-based Nintendo 64 emulator. The front-end is written in Python
and it provides a user-friendly interface over Mupen64Plus shared library.

%prep
%setup -q
%apply_patches
mv xdg/application-x-m64py.xml xdg/%{name}.xml

# remove shebang from non-executable scripts
for i in src/m64py/SDL/*.py; do
  sed -i '1{\@^#!/usr/bin/env python@d}' $i
done

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python_sitelib}

%files
%doc AUTHORS ChangeLog COPYING LICENSES PKG-INFO README.md
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_iconsdir}/hicolor/96x96/apps/%{name}.png
%{_iconsdir}/hicolor/96x96/mimetypes/%{name}.png
%{python_sitelib}/%{name}*


%changelog
* Wed Oct 15 2014 umeabot <umeabot> 0.2.1-5.mga5
+ Revision: 739664
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.2.1-4.mga5.tainted
+ Revision: 727064
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.2.1-3.mga5.tainted
+ Revision: 682116
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 akien <akien> 0.2.1-2.mga5.tainted
+ Revision: 633180
- Remove provides on mupen64plus-ui (might be readded if other frontends are packaged)

* Wed Jun 04 2014 akien <akien> 0.2.1-1.mga5.tainted
+ Revision: 633170
- Require SDL2 instead of SDL (both are supported)
- import source RPM based off an OpenSUSE SRPM

